/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export class TreemapDescription extends Description {
    constructor() {
        super();
        this.a9 = null;
        this.a7 = null;
        this.am = null;
        this.a6 = null;
        this.aw = null;
        this.an = null;
        this.av = null;
        this.ao = null;
        this.f = null;
        this.ap = null;
        this.h = false;
        this.ah = 0;
        this.l = 0;
        this.k = 0;
        this.ar = null;
        this.aq = null;
        this.at = null;
        this.a8 = null;
        this.as = null;
        this._fontFamily = null;
        this._fontSize = 0;
        this._fontStyle = null;
        this._fontWeight = null;
        this._headerFontFamily = null;
        this._headerFontSize = 0;
        this._headerFontStyle = null;
        this._headerFontWeight = null;
        this.o = 0;
        this.q = 0;
        this.p = 0;
        this.n = 0;
        this.m = 0;
        this.a5 = null;
        this.t = 0;
        this.ax = null;
        this.ay = null;
        this.r = 0;
        this.ai = 0;
        this.s = 0;
        this.j = 0;
        this.a4 = null;
        this.a1 = null;
        this.az = null;
        this.a0 = null;
        this.a2 = null;
        this.a3 = null;
        this.ba = null;
        this.au = null;
        this.al = null;
    }
    get_type() {
        return "Treemap";
    }
    get type() {
        return this.get_type();
    }
    get valueMemberPath() {
        return this.a9;
    }
    set valueMemberPath(a) {
        this.a9 = a;
        this.e("ValueMemberPath");
    }
    get rootTitle() {
        return this.a7;
    }
    set rootTitle(a) {
        this.a7 = a;
        this.e("RootTitle");
    }
    get breadcrumbSequence() {
        return this.am;
    }
    set breadcrumbSequence(a) {
        this.am = a;
        this.e("BreadcrumbSequence");
    }
    get parentIdMemberPath() {
        return this.a6;
    }
    set parentIdMemberPath(a) {
        this.a6 = a;
        this.e("ParentIdMemberPath");
    }
    get labelMemberPath() {
        return this.aw;
    }
    set labelMemberPath(a) {
        this.aw = a;
        this.e("LabelMemberPath");
    }
    get customValueMemberPath() {
        return this.an;
    }
    set customValueMemberPath(a) {
        this.an = a;
        this.e("CustomValueMemberPath");
    }
    get idMemberPath() {
        return this.av;
    }
    set idMemberPath(a) {
        this.av = a;
        this.e("IdMemberPath");
    }
    get dataSourceRef() {
        return this.ao;
    }
    set dataSourceRef(a) {
        this.ao = a;
        this.e("DataSourceRef");
    }
    get fillBrushes() {
        return this.f;
    }
    set fillBrushes(a) {
        this.f = a;
        this.e("FillBrushes");
    }
    get fillScaleMode() {
        return this.ap;
    }
    set fillScaleMode(a) {
        this.ap = a;
        this.e("FillScaleMode");
    }
    get isFillScaleLogarithmic() {
        return this.h;
    }
    set isFillScaleLogarithmic(a) {
        this.h = a;
        this.e("IsFillScaleLogarithmic");
    }
    get fillScaleLogarithmBase() {
        return this.ah;
    }
    set fillScaleLogarithmBase(a) {
        this.ah = a;
        this.e("FillScaleLogarithmBase");
    }
    get fillScaleMinimumValue() {
        return this.l;
    }
    set fillScaleMinimumValue(a) {
        this.l = a;
        this.e("FillScaleMinimumValue");
    }
    get fillScaleMaximumValue() {
        return this.k;
    }
    set fillScaleMaximumValue(a) {
        this.k = a;
        this.e("FillScaleMaximumValue");
    }
    get headerHoverBackground() {
        return this.ar;
    }
    set headerHoverBackground(a) {
        this.ar = a;
        this.e("HeaderHoverBackground");
    }
    get headerBackground() {
        return this.aq;
    }
    set headerBackground(a) {
        this.aq = a;
        this.e("HeaderBackground");
    }
    get headerTextColor() {
        return this.at;
    }
    set headerTextColor(a) {
        this.at = a;
        this.e("HeaderTextColor");
    }
    get textColor() {
        return this.a8;
    }
    set textColor(a) {
        this.a8 = a;
        this.e("TextColor");
    }
    get headerHoverTextColor() {
        return this.as;
    }
    set headerHoverTextColor(a) {
        this.as = a;
        this.e("HeaderHoverTextColor");
    }
    get fontFamily() {
        return this._fontFamily;
    }
    set fontFamily(a) {
        this._fontFamily = a;
    }
    get fontSize() {
        return this._fontSize;
    }
    set fontSize(a) {
        this._fontSize = a;
    }
    get fontStyle() {
        return this._fontStyle;
    }
    set fontStyle(a) {
        this._fontStyle = a;
    }
    get fontWeight() {
        return this._fontWeight;
    }
    set fontWeight(a) {
        this._fontWeight = a;
    }
    get headerFontFamily() {
        return this._headerFontFamily;
    }
    set headerFontFamily(a) {
        this._headerFontFamily = a;
    }
    get headerFontSize() {
        return this._headerFontSize;
    }
    set headerFontSize(a) {
        this._headerFontSize = a;
    }
    get headerFontStyle() {
        return this._headerFontStyle;
    }
    set headerFontStyle(a) {
        this._headerFontStyle = a;
    }
    get headerFontWeight() {
        return this._headerFontWeight;
    }
    set headerFontWeight(a) {
        this._headerFontWeight = a;
    }
    get headerLabelLeftMargin() {
        return this.o;
    }
    set headerLabelLeftMargin(a) {
        this.o = a;
        this.e("HeaderLabelLeftMargin");
    }
    get headerLabelTopMargin() {
        return this.q;
    }
    set headerLabelTopMargin(a) {
        this.q = a;
        this.e("HeaderLabelTopMargin");
    }
    get headerLabelRightMargin() {
        return this.p;
    }
    set headerLabelRightMargin(a) {
        this.p = a;
        this.e("HeaderLabelRightMargin");
    }
    get headerLabelBottomMargin() {
        return this.n;
    }
    set headerLabelBottomMargin(a) {
        this.n = a;
        this.e("HeaderLabelBottomMargin");
    }
    get headerHeight() {
        return this.m;
    }
    set headerHeight(a) {
        this.m = a;
        this.e("HeaderHeight");
    }
    get outline() {
        return this.a5;
    }
    set outline(a) {
        this.a5 = a;
        this.e("Outline");
    }
    get strokeThickness() {
        return this.t;
    }
    set strokeThickness(a) {
        this.t = a;
        this.e("StrokeThickness");
    }
    get layoutOrientation() {
        return this.ax;
    }
    set layoutOrientation(a) {
        this.ax = a;
        this.e("LayoutOrientation");
    }
    get layoutType() {
        return this.ay;
    }
    set layoutType(a) {
        this.ay = a;
        this.e("LayoutType");
    }
    get minimumDisplaySize() {
        return this.r;
    }
    set minimumDisplaySize(a) {
        this.r = a;
        this.e("MinimumDisplaySize");
    }
    get transitionDuration() {
        return this.ai;
    }
    set transitionDuration(a) {
        this.ai = a;
        this.e("TransitionDuration");
    }
    get pixelScalingRatio() {
        return this.s;
    }
    set pixelScalingRatio(a) {
        this.s = a;
        this.e("PixelScalingRatio");
    }
    get actualPixelScalingRatio() {
        return this.j;
    }
    set actualPixelScalingRatio(a) {
        this.j = a;
        this.e("ActualPixelScalingRatio");
    }
    get nodeStylingRef() {
        return this.a4;
    }
    set nodeStylingRef(a) {
        this.a4 = a;
        this.e("NodeStylingRef");
    }
    get nodePointerOverRef() {
        return this.a1;
    }
    set nodePointerOverRef(a) {
        this.a1 = a;
        this.e("NodePointerOverRef");
    }
    get nodePointerEnterRef() {
        return this.az;
    }
    set nodePointerEnterRef(a) {
        this.az = a;
        this.e("NodePointerEnterRef");
    }
    get nodePointerLeaveRef() {
        return this.a0;
    }
    set nodePointerLeaveRef(a) {
        this.a0 = a;
        this.e("NodePointerLeaveRef");
    }
    get nodePointerPressedRef() {
        return this.a2;
    }
    set nodePointerPressedRef(a) {
        this.a2 = a;
        this.e("NodePointerPressedRef");
    }
    get nodePointerReleasedRef() {
        return this.a3;
    }
    set nodePointerReleasedRef(a) {
        this.a3 = a;
        this.e("NodePointerReleasedRef");
    }
    get width() {
        return this.ba;
    }
    set width(a) {
        this.ba = a;
        this.e("Width");
    }
    get height() {
        return this.au;
    }
    set height(a) {
        this.au = a;
        this.e("Height");
    }
    get background() {
        return this.al;
    }
    set background(a) {
        this.al = a;
        this.e("Background");
    }
}
TreemapDescription.$t = markType(TreemapDescription, 'TreemapDescription', Description.$);
